> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get series data

> Get series data for analytics. Supported types are: customer, offer, subscription, revenue, signed-offer, open-offer.

<sup>Required permissions: `analytics:read`</sup>



## OpenAPI

````yaml get /analytics/series/{type}
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /analytics/series/{type}:
    parameters: []
    get:
      tags:
        - Analytics
      summary: Get series data
      description: >-
        Get series data for analytics. Supported types are: customer, offer,
        subscription, revenue, signed-offer, open-offer.


        <sup>Required permissions: `analytics:read`</sup>
      operationId: getAnalyticsSeries
      parameters:
        - name: type
          in: path
          description: Type of series data to fetch
          required: true
          deprecated: false
          schema:
            type: string
            enum:
              - customer
              - offer
              - subscription
              - revenue
              - signed-offer
              - open-offer
          style: simple
          explode: false
      responses:
        '200':
          description: AnalyticsSeries collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AnalyticsSeries'
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: integer
                          itemsPerPage:
                            type: integer
                          currentPage:
                            type: integer
                          lastPage:
                            type: integer
                          pageTotalItems:
                            type: integer
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AnalyticsSeries'
      deprecated: false
      security:
        - JWT:
            - analytics:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /analytics/series/{type} \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    AnalyticsSeries:
      type: object
      description: ''
      deprecated: false
      properties:
        date:
          description: >-
            The date for the current data point. Available for all types. **The
            date is provided in the time zone UTC**
          example: '2023-09-10 00:00:00+00:00'
          type: string
        revenue:
          description: >-
            The net revenue as string-float for the current data point. **This
            property is only available for the type `revenue`**
          example: '1000.00'
          type:
            - string
            - 'null'
        tax:
          description: >-
            The tax as string-float for the current data point. **This property
            is only available for the type `revenue`**
          example: '190.00'
          type:
            - string
            - 'null'
        gross:
          description: >-
            The gross revenue as string-float for the current data point. **This
            property is only available for the type `revenue`**
          example: '1190.00'
          type:
            - string
            - 'null'
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````